Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.annotations
Class WebMethodAnnotation

    java.lang.Object
      org.codehaus.xfire.annotations.WebMethodAnnotation

Direct Known Subclasses:
  WebMethod

    public class WebMethodAnnotation

extends java.lang.Object

Represents an common representation of a web method annotation. Specifies that the given method is exposed as a Web Service operation, making it part of the Web ServiceÕs public contract. A WebMethod annotation is required for each method that is published by the Web Service.

Author:
  Arjen Poutsma

Constructor Summary
`WebMethodAnnotation()`

Method Summary
`java.lang.String` | `getAction()` Returns the action for this operation.
`java.lang.String` | `getOperationName()` Returns the name of the wsdl:operation matching this method.
`void` | `populate(OperationInfo operationInfo)` Populates the given operation info with the information contained in this annotation.
`void` | `setAction(java.lang.String action)` Sets the action for this operation.
`void` | `setOperationName(java.lang.String operationName)` Sets the name of the wsdl:operation matching this method.
`java.lang.String` | `toString()` Returns a `String` representation of this `WebMethodAnnotation`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebMethodAnnotation

    public WebMethodAnnotation()

Method Detail

### getAction

    public java.lang.String getAction()

  Returns the action for this operation. For SOAP bindings, this determines the value of the SOAPAction header.

  Returns:
    the action for this operation.

### setAction

    public void setAction(java.lang.String action)

  Sets the action for this operation. For SOAP bindings, this determines the value of the SOAPAction header.

  Parameters:
    `action` - the new action for this operation.

### getOperationName

    public java.lang.String getOperationName()

  Returns the name of the wsdl:operation matching this method. By default the WSDL operation name will be the same as the Java method name.

  Returns:
    the name of the wsdl:operation matching this method.

### setOperationName

    public void setOperationName(java.lang.String operationName)

  Sets the name of the wsdl:operation matching this method. By default the WSDL operation name will be the same as the Java method name.

  Parameters:
    `operationName` - the new name of the wsdl:operation matching this method.

### populate

    public void populate(OperationInfo operationInfo)

  Populates the given operation info with the information contained in this annotation.

  Parameters:
    `operationInfo` - the operation info.

### toString

    public java.lang.String toString()

  Returns a `String` representation of this `WebMethodAnnotation`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.